<?
	function reconverte_entities($texto,$x){
	return html_entity_decode($texto, ENT_NOQUOTES, entities_suporte($x));
	}
	function entities_suporte($x){
		$tipo[0]  = "UTF-8";        // Cdigo de multi-byte 8-bit Unicode compatvel com ASCII. 
		$tipo[1]  = "Shift_JIS";    // Japons 
		$tipo[2]  = "EUC-JP";       // Japons 
		$tipo[3]  = "cp1252";       // Conjunto de caracteres do Windows especfico para a Europa Ocidental. 
		$tipo[4]  = "ISO-8859-1";   // Western European, Latin-1  
		$tipo[5]  = "ISO-8859-15";  // Western European, Latin-9. Adiciona o smbolo do Euro, letras Francesas e Filandesas faltando no Latin-1(ISO-8859-1).  
		$tipo[6]  = "cp1251";       // Conjunto de caracteres do Windows especfico para o Russo. Este conjunto de caracteres  suportado no 4.3.2. 
		$tipo[7]  = "KOI8-R";       // Russo. Este conjunto de caracteres  suportado no 4.3.2.  
		$tipo[8]  = "BIG5";         // Chins Tradicional, usado principalmente em Taiwan.  
		$tipo[9]  = "GB2312";       // Chins Simplificado, conjunto de caracteres padro nacional.  
		$tipo[10] = "BIG5-HKSCS";   // Big5 com extenes de Hong Kong, Chins Tradicional.
		return $tipo[$x];
	}
// essa tabela de cdigos logo acima eu peguei no manual do php.net
// para maiores referncias da funo utilizada pesquise por "html_entity_decode"
// altere seu navegador WEB para exibir textos com codificao UTF8,  o tipo padro do leste asitico
// No IE clique em "Exibir - Codificao - " Escolha o pado UTF-8
// ltil para desenvolver sistemas com suporte multi-idiomas

$texto = "&#26085;&#26412;&#35486;"; // retorna em caracteres UTF8 (kanji japons) a palavra NIHONGO (idioma japons)

echo "original 1: ".str_replace("&","&amp;",$texto);
echo "<br>";
echo "original 2: ".$texto;
echo "<br>";
$convertido = reconverte_entities($texto,0);
echo "convertido 2: ".$convertido;
?>


<script language=javascript>
	alert("<?=$convertido;?>");
	prompt("ok","<?=$convertido;?>");
</script>